<div class="animated fadeIn">
    <div class="card" style="padding: 0.2rem">
        <div class="card-header bg-gray-200 text-primary d-flex bd-highlight mb-3">
            <div class="mr-auto p-2 bd-highlight">
                <i class="fa fa-plus-circle text-primary"></i> {{TITLE}}
            </div>
            <button class="btn btn-sm rounded btn-outline-primary p-2 bd-highlight" (click)="agregarCampos(addField)">
                <i class="fa fa-plus"></i> Agregar campo
            </button>
            <button style="margin-left: 1rem" class="btn btn-sm rounded btn-outline-danger" (click)="cancel()">
                <i class="fa fa-plus-circle"></i> Regresar
            </button>
        </div>

        <div class="card-body mt-4 p-0">

            <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="row-border hover">
                <thead class="bg-primary">
                <tr>
                    <th scope="col">Nombre de Campo</th>
                    <th scope="col" class="text-center">Tipo</th>
                    <th scope="col" class="text-center">Predeterminado</th>
                    <th scope="col" class="text-center">Subcategoria</th>
                    <th scope="col">Acciones</th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let field of fields">
                    <td>{{ field.label }}</td>
                    <td class="text-center" *ngIf="field.formato == 'text'">Texto</td>
                    <td class="text-center" *ngIf="field.formato == 'num'">Numérico</td>
                    <td class="text-center" *ngIf="field.formato == 'date'">Fecha</td>
                    <td class="text-center" *ngIf="field.formato == 'scat'">Subcategoría</td>
                    <td class="text-center" *ngIf="field.predeterminado"><i class="fa fa-check-circle text-success fa-2x"></i>
                    </td>
                    <td class="text-center" *ngIf="!field.predeterminado"><i class="fa fa-close text-danger fa-2x"></i></td>
                    <td class="text-center" *ngIf="field.formato != 'scat'">
                        <i class="fa fa-close text-danger fa-2x"></i>
                    </td>
                    <td class="text-center" *ngIf="field.formato == 'scat'">
                        <ngx-accordion>
                            <ngx-accordion-container>
                                <div class=" ngx-accordion-header ">
                                    <div style="color: #04447c; cursor: pointer">Ver detalle</div>
                                </div>
                                <br>
                                <div class="ngx-accordion-body">
                                    <p *ngFor="let item of field.subcategorias">{{ item.label }}</p>
                                </div>
                            </ngx-accordion-container>
                        </ngx-accordion>
                    </td>
                    <td>
                        <i class="fa fa-pencil-square-o text-info fa-2x" aria-hidden="true" style="cursor: pointer"
                           (click)="editFieldList(editField, field)"
                           title="Editar"></i>
                    </td>
                </tr>

                </tbody>
            </table>

        </div>
    </div>
</div>

<ng-template #addField>
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Agregar Campo</h5>
            <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close"
                    (click)="closeModal()" style="outline: none">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <form [formGroup]="addFieldForm" (ngSubmit)="addFieldToList()">
            <div class="modal-body">
                <p class="text-center">Ingrese la siguiente información para agregar un campo a la lista</p>

                <div class="row justify-content-center">
                    <div class="col-12 col-md-6 col-lg-6">
                        <div class="form-group">
                            <label class="col-form-label">Nombre del Campo:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <input formControlName="nameField" type="text" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-6 col-lg-6">
                        <div class="form-group">
                            <label class="col-form-label">Descripción del Campo:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <input formControlName="descField" type="text" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-6 col-lg-3">
                        <div class="form-group">
                            <label class="col-form-label">Tipo de Campo:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i
                                                class="fa fa-arrow-right text-primary"></i></span>
                                    </div>
                                    <select formControlName="typeField" class="form-control" #s
                                            (change)="onChangeTypeField(s.value)">
                                        <option selected value="text">Texto</option>
                                        <option value="num">Numérico</option>
                                        <option value="date">Fecha</option>
                                        <option value="scat">Subcategoría</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-6 col-lg-3">
                        <div class="form-group">
                            <label class="col-form-label">Predeterminado:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-check-square-o"></i></span>
                                    </div>
                                    <select formControlName="defaultField" class="form-control">
                                        <option selected value="true">Si</option>
                                        <option value="false">No</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

                <br>

                <div class="row" *ngIf="selectedScat">
                    <div class=" col-12">
                        <p class="text-center text-primary">**Agregar items a la subcategoria**</p>
                        <div class="d-flex justify-content-around" style="border: 0.5px solid; padding: 0.5rem">
                            <div>
                                <div class="form-group">
                                    <label class="col-form-label">Nombre de Item:</label>
                                    <div class="controls">
                                        <div class="input-prepend input-group">
                                            <input formControlName="itemScat" type="text" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <button type="button" class="btn btn-sm rounded bg-primary" (click)="addScatToList()">
                                    <i class="fa fa-plus"></i> Agregar
                                </button>
                            </div>

                            <div>
                                <table class="table table-sm">
                                    <thead>
                                    <tr>
                                        <th>Item de Subcategoría</th>
                                        <th>Acciones</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr *ngFor="let item of arrayItemsScat">
                                        <td>{{ item.label }}</td>
                                        <td class="text-center">
                                            <i class="fa fa-times text-danger fa-2x" aria-hidden="true"
                                               (click)="deleteScat(item)"
                                               style="cursor: pointer"
                                               title="Quitar de lista"></i>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-sm btn-primary rounded"><i class="fa fa-plus"
                                                                                aria-hidden="true"></i>
                    Agregar
                </button>
                <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                    <i class="fa fa-close" aria-hidden="true"></i> Cerrar
                </button>
            </div>
        </form>
    </div>
</ng-template>

<ng-template #editField>
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Editar Campo</h5>
            <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close"
                    (click)="closeModal()" style="outline: none">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <form [formGroup]="addFieldForm" (ngSubmit)="editToField()">
            <div class="modal-body">
                <p class="text-center">Ingrese la siguiente información para editar un campo a la lista</p>

                <div class="row justify-content-center">
                    <div class="col-12 col-md-6 col-lg-6">
                        <div class="form-group">
                            <label class="col-form-label">Nombre del Campo:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <input formControlName="nameField" type="text" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-6 col-lg-6">
                        <div class="form-group">
                            <label class="col-form-label">Descripción del Campo:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <input formControlName="descField" type="text" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-6 col-lg-3">
                        <div class="form-group">
                            <label class="col-form-label">Tipo de Campo:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i
                                                class="fa fa-arrow-right text-primary"></i></span>
                                    </div>
                                    <select formControlName="typeField" class="form-control" #s
                                            (change)="onChangeTypeField(s.value)">
                                        <option selected value="text">Texto</option>
                                        <option value="num">Numérico</option>
                                        <option value="date">Fecha</option>
                                        <option value="scat">Subcategoría</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 col-md-6 col-lg-3">
                        <div class="form-group">
                            <label class="col-form-label">Predeterminado:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-check-square-o"></i></span>
                                    </div>
                                    <select formControlName="defaultField" class="form-control">
                                        <option selected value="true">Si</option>
                                        <option value="false">No</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

                <br>

                <div class="row" *ngIf="selectedScat">
                    <div class=" col-12">
                        <p class="text-center text-primary">**Agregar items a la subcategoria**</p>
                        <div class="d-flex justify-content-around" style="border: 0.5px solid; padding: 0.5rem">
                            <div>
                                <div class="form-group">
                                    <label class="col-form-label">Nombre de Item:</label>
                                    <div class="controls">
                                        <div class="input-prepend input-group">
                                            <input formControlName="itemScat" type="text" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <button type="button" class="btn btn-sm rounded bg-primary" (click)="addScatToList()">
                                    <i class="fa fa-plus"></i> Agregar
                                </button>
                            </div>

                            <div>
                                <table class="table table-sm">
                                    <thead>
                                    <tr>
                                        <th>Item de Subcategoría</th>
                                        <th>Acciones</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr *ngFor="let item of arrayItemsScat">
                                        <td>{{ item.label }}</td>
                                        <td class="text-center">
                                            <i class="fa fa-times text-danger fa-2x" aria-hidden="true"
                                               (click)="deleteScat(item)"
                                               style="cursor: pointer"
                                               title="Quitar de lista"></i>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-sm btn-primary rounded" (click)="editToField()"><i class="fa fa-plus"
                                                                                aria-hidden="true"></i>
                    Actualizar
                </button>
                <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                    <i class="fa fa-close" aria-hidden="true"></i> Cerrar
                </button>
            </div>
        </form>
    </div>
</ng-template>
